OGRE: Ogre::Log Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Public Attributes | List of all members
Ogre::Log Class Reference
Core » General

`#include <OgreLog.h>`

Inheritance diagram for Ogre::Log:
[legend]

## Classes
class | Stream
| Stream object which targets a log. More...

## Public Member Functions
| Log (const String &name, bool debugOutput=true, bool suppressFileOutput=false)
| ~Log ()
void | addListener (LogListener *listener)
LoggingLevel | getLogDetail () const
| Gets the level of the log detail. More...
const String & | getName () const
| Return the name of the log. More...
bool | isDebugOutputEnabled () const
| Get whether debug output is enabled for this log. More...
bool | isFileOutputSuppressed () const
| Get whether file output is suppressed for this log. More...
bool | isTimeStampEnabled () const
| Get whether time stamps are printed for this log. More...
void | logMessage (const String &message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)
| Log a message to the debugger and to log file (the default is "<code>OGRE.log</code>"),. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | removeListener (LogListener *listener)
void | setDebugOutputEnabled (bool debugOutput)
void | setLogDetail (LoggingLevel ll)
void | setTimeStampEnabled (bool timeStamp)
Stream | stream (LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)
| Get a stream object targeting this log. More...

## Public Attributes
LightweightMutex | mMutex

## Detailed Description

Remarks
  Log class for writing debug/log data to files.

Note
  Should not be used directly, but trough the LogManager class.

## Constructor & Destructor Documentation

## ◆ Log()

Ogre::Log::Log | ( | const String & | name,
|  | bool | debugOutput = `true`,
|  | bool | suppressFileOutput = `false`
| ) |  |

Remarks
  Usual constructor - called by LogManager.

## ◆ ~Log()

Ogre::Log::~Log | ( |  | ) |

Remarks
  Default destructor.

## Member Function Documentation

## ◆ addListener()

void Ogre::Log::addListener | ( | LogListener * | listener | ) |

Remarks
  Register a listener to this log

Parameters

  listener | A valid listener derived class

## ◆ getLogDetail()

LoggingLevel Ogre::Log::getLogDetail | ( |  | ) | const
| inline

Gets the level of the log detail.

## ◆ getName()

const String& Ogre::Log::getName | ( |  | ) | const
| inline

Return the name of the log.

## ◆ isDebugOutputEnabled()

bool Ogre::Log::isDebugOutputEnabled | ( |  | ) | const
| inline

Get whether debug output is enabled for this log.

## ◆ isFileOutputSuppressed()

bool Ogre::Log::isFileOutputSuppressed | ( |  | ) | const
| inline

Get whether file output is suppressed for this log.

## ◆ isTimeStampEnabled()

bool Ogre::Log::isTimeStampEnabled | ( |  | ) | const
| inline

Get whether time stamps are printed for this log.

## ◆ logMessage()

void Ogre::Log::logMessage | ( | const String & | message,
|  | LogMessageLevel | lml = `LML_NORMAL`,
|  | bool | maskDebug = `false`
| ) |  |

Log a message to the debugger and to log file (the default is "<code>OGRE.log</code>"),.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ removeListener()

void Ogre::Log::removeListener | ( | LogListener * | listener | ) |

Remarks
  Unregister a listener from this log

Parameters

  listener | A valid listener derived class

## ◆ setDebugOutputEnabled()

void Ogre::Log::setDebugOutputEnabled | ( | bool | debugOutput | ) |

Remarks
  Enable or disable outputting log messages to the debugger.

## ◆ setLogDetail()

void Ogre::Log::setLogDetail | ( | LoggingLevel | ll | ) |

Remarks
  Sets the level of the log detail.

## ◆ setTimeStampEnabled()

void Ogre::Log::setTimeStampEnabled | ( | bool | timeStamp | ) |

Remarks
  Enable or disable time stamps.

## ◆ stream()

Stream Ogre::Log::stream | ( | LogMessageLevel | lml = `LML_NORMAL`,
|  | bool | maskDebug = `false`
| ) |  |

Get a stream object targeting this log.

## Member Data Documentation

## ◆ mMutex

LightweightMutex Ogre::Log::mMutex

The documentation for this class was generated from the following file:

- OgreLog.h